summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/webalizer/README5
-rw-r--r--network/webalizer/README.SLACKWARE7
-rw-r--r--network/webalizer/slack-desc19
-rw-r--r--network/webalizer/webalizer.SlackBuild102
-rw-r--r--network/webalizer/webalizer.info10
5 files changed, 143 insertions, 0 deletions
diff --git a/network/webalizer/README b/network/webalizer/README
new file mode 100644
index 0000000000..387abd796c
--- /dev/null
+++ b/network/webalizer/README
@@ -0,0 +1,5 @@
+The Webalizer is a fast, free web server log file analysis program.
+It produces highly detailed, easily configurable usage reports in
+HTML format, for viewing with a standard web browser.
+
+GeoIP is an optional dependency.
diff --git a/network/webalizer/README.SLACKWARE b/network/webalizer/README.SLACKWARE
new file mode 100644
index 0000000000..c6ab981405
--- /dev/null
+++ b/network/webalizer/README.SLACKWARE
@@ -0,0 +1,7 @@
+Config files can be kept in /etc/webalizer or any other place you wish to
+keep them. A sample config file is in /etc/webalizer already.
+
+A quick cron can be used to generate all stats for all sites at midnight
+with the folloing code in the root crontab:
+0 0 * * * for i in $(find /etc/webalizer -name "*.conf"); do webalizer -c $i &> /dev/null; done
+
diff --git a/network/webalizer/slack-desc b/network/webalizer/slack-desc
new file mode 100644
index 0000000000..2c63652957
--- /dev/null
+++ b/network/webalizer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+webalizer: Webalizer (Free web server log file analysis program)
+webalizer:
+webalizer: The Webalizer is a fast, free web server log file analysis program.
+webalizer: It produces highly detailed, easily configurable usage reports in
+webalizer: HTML format, for viewing with a standard web browser.
+webalizer:
+webalizer: Homepage: http://webalizer.com/
+webalizer:
+webalizer:
+webalizer:
+webalizer:
diff --git a/network/webalizer/webalizer.SlackBuild b/network/webalizer/webalizer.SlackBuild
new file mode 100644
index 0000000000..0a03b49454
--- /dev/null
+++ b/network/webalizer/webalizer.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for HTTPing
+
+# Copyright 2010, Steven King <kingrst@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=webalizer
+VERSION=${VERSION:-2.23_03}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_VERSION=$(printf $VERSION | tr _ -)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRC_VERSION
+tar xvf $CWD/${PRGNAM}-$SRC_VERSION-src.tgz
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/webalizer \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make MANDIR=/usr/man
+make install MANDIR=/usr/man DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES Copyright COPYING DNS.README README README.FIRST INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/webalizer/webalizer.info b/network/webalizer/webalizer.info
new file mode 100644
index 0000000000..1cb870cd1b
--- /dev/null
+++ b/network/webalizer/webalizer.info
@@ -0,0 +1,10 @@
+PRGNAM="webalizer"
+VERSION="2.23-03"
+HOMEPAGE="http://webalizer.com"
+DOWNLOAD="ftp://ftp.mrunix.net/pub/webalizer/webalizer-2.23-03-src.tgz"
+MD5SUM="261c16f25a86e6d93d2426b371c7925f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steven King"
+EMAIL="kingrst@gmail.com"
+APPROVED="rworkman"